Bug 223416 - audio/faac update to 1.29 and later
Summary: audio/faac update to 1.29 and later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch, patch-ready
Depends on: 223448 223464
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-04 07:12 UTC by Thomas Zander
Modified: 2017-11-19 11:45 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+


Attachments
Update to 1.29.9 (807 bytes, patch)
2017-11-05 11:32 UTC, Thomas Zander
riggs: maintainer-approval+
Details | Diff
Update to 1.29.9 (1.85 KB, patch)
2017-11-05 15:12 UTC, Thomas Zander
riggs: maintainer-approval+
Details | Diff
Update to 1.29.9.2 (879 bytes, patch)
2017-11-19 10:54 UTC, Thomas Zander
riggs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander freebsd_committer 2017-11-04 07:12:56 UTC
faac introduces an API incompatibility with version 1.29.
In particular, the struct member allowMidside is dropped from struct faacEncConfiguration. This causes most library consumers not to build successfully.
The topic is addressed upstream, see https://github.com/knik0/faac/issues/8
Depending on upstream decision, we will adopt upstream fixes or develop workarounds for the ports tree.

This bug report serves as a place to track these activities.
Comment 1 Thomas Zander freebsd_committer 2017-11-05 11:32:00 UTC
Created attachment 187752 [details]
Update to 1.29.9

PRs to fix consumers coming up later today ...
Comment 2 Thomas Zander freebsd_committer 2017-11-05 12:14:58 UTC
Feedback from upstream, see

https://github.com/knik0/faac/issues/8

advises to patch failing ports such that allowMidside is simply not set.

Patches + PRs coming up after poudriere testbuilds have completed.
Comment 3 Thomas Zander freebsd_committer 2017-11-05 15:12:25 UTC
Created attachment 187760 [details]
Update to 1.29.9

Includes the previously missing build fix for compile time evaluation of sqrt(2)
Comment 4 Thomas Zander freebsd_committer 2017-11-19 10:54:11 UTC
Created attachment 188113 [details]
Update to 1.29.9.2

An updated upstream version of faac has been published
Comment 5 commit-hook freebsd_committer 2017-11-19 11:30:21 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov 19 11:29:41 UTC 2017
New revision: 454487
URL: https://svnweb.freebsd.org/changeset/ports/454487

Log:
  Update to upstream version 1.29.9.2

  PR:		223416
  Submitted by:	riggs

Changes:
  head/audio/faac/Makefile
  head/audio/faac/distinfo
Comment 6 commit-hook freebsd_committer 2017-11-19 11:38:30 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov 19 11:37:29 UTC 2017
New revision: 454488
URL: https://svnweb.freebsd.org/changeset/ports/454488

Log:
  Chase audio/faac update (ABI incompatible to previous version 1.28)

  PR:		223416
  Submitted by:	riggs

Changes:
  head/audio/abcde/Makefile
  head/audio/audex/Makefile
  head/audio/darkice/Makefile
  head/audio/dream/Makefile
  head/audio/faac/Makefile
  head/audio/flacon/Makefile
  head/audio/gnormalize/Makefile
  head/audio/grip/Makefile
  head/audio/mous/Makefile
  head/audio/pacpl/Makefile
  head/audio/soundkonverter/Makefile
  head/multimedia/avidemux/Makefile
  head/multimedia/ffmpeg0/Makefile
  head/multimedia/gstreamer-plugins-bad/Makefile
  head/multimedia/gstreamer1-plugins-bad/Makefile
  head/multimedia/libav/Makefile
  head/multimedia/libquicktime/Makefile
  head/multimedia/mencoder/Makefile
  head/multimedia/mpeg4ip/Makefile
  head/multimedia/ogmrip/Makefile
  head/multimedia/transcode/Makefile
  head/www/madsonic/Makefile
  head/www/madsonic-standalone/Makefile
  head/www/subsonic/Makefile
  head/www/subsonic-standalone/Makefile